org.eclipse.emf.cdo.spi.common.lock

## Interface InternalCDOLockState

- All Superinterfaces:
    CDOLockState

      public interface InternalCDOLockState
      extends CDOLockState

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.1
  Author:
    Caspar De Groot
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOLockState` | `UNLOCKED`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

      `DEPTH_INFINITE, DEPTH_NONE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addReadLockOwner(CDOLockOwner lockOwner)`
    `void` | `dispose()`
    `boolean` | `removeOwner(CDOLockOwner lockOwner)`
    `boolean` | `removeReadLockOwner(CDOLockOwner lockOwner)`
    `void` | `setWriteLockOwner(CDOLockOwner lockOwner)`
    `void` | `setWriteOptionOwner(CDOLockOwner lockOwner)`
    `void` | `updateFrom(CDOLockState source)` Update the `lockOwners` of this lock state from the one passed in.
    `void` | `updateFrom(java.lang.Object object, CDOLockState source)` Deprecated. As of 4.5 use `updateFrom(CDOLockState)` instead. The lockedObject field cannot be changed because it is used to compute the hash code. Instantiate a new `CDOLockState` object if you want to update the lockedObject field.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

      `getLockedObject, getReadLockOwners, getWriteLockOwner, getWriteOptionOwner, isLocked`

- - ### Field Detail

    - #### UNLOCKED

          static final CDOLockState UNLOCKED

      Since:
        4.6

  - ### Method Detail

    - #### addReadLockOwner

          void addReadLockOwner(CDOLockOwner lockOwner)

    - #### removeReadLockOwner

          boolean removeReadLockOwner(CDOLockOwner lockOwner)

    - #### setWriteLockOwner

          void setWriteLockOwner(CDOLockOwner lockOwner)

    - #### setWriteOptionOwner

          void setWriteOptionOwner(CDOLockOwner lockOwner)

    - #### removeOwner

          boolean removeOwner(CDOLockOwner lockOwner)

      Since:
        4.4

    - #### updateFrom

          @Deprecated
          void updateFrom(java.lang.Object object,
                                       CDOLockState source)

      Deprecated. As of 4.5 use `updateFrom(CDOLockState)` instead. The lockedObject field cannot be changed because it is used to compute the hash code. Instantiate a new `CDOLockState` object if you want to update the lockedObject field.
      Since:
        4.2

    - #### updateFrom

          void updateFrom(CDOLockState source)

      Update the `lockOwners` of this lock state from the one passed in.
      Since:
        4.5

    - #### dispose

          void dispose()

      Since:
        4.2

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html